Subject: Re: perl winpid?
From: "Gerrit P. Haase" <[email-masked]>
To: Yitzchak Scott-Thoennes <[email-masked]>
Cc: Reini Urban <[email-masked]>, [email-masked], [email-masked]
Date: Tue, 08 Feb 2005 12:10:15 +0100

Yitzchak Scott-Thoennes wrote:
> On Mon, Feb 07, 2005 at 02:17:32PM +0100, Reini Urban wrote:
> 
>>Igor Pechtchanski schrieb:
>>>On Sun, 6 Feb 2005, Reini Urban wrote:
>>>>I feel quite stupid now, but found nothing simple.
>>>>How to get the winpid from the current process in cygwin's perl?

>>We will check out there where this cygwin specific functionality
>>will go to.
>>Win32::Process::CygwinToWin32ProcessID() is my suggestion.

> I'd rather see them in the Proc:: namespace, and I think it would make
> sense to put them in perl's cygwin.c itself, if Gerrit is willing to
> release yet another perl-5.8.6.  If this sounds OK, I'll come up with
> a patch.

I have no problem with another release.  And I agree that such important
functions should go inside perl.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/